Page 2 of 2

Re: Poll: What version of Mac OS X do you use?

Posted: Sun Dec 18, 2016 7:15 am
by josh64x2
tut wrote:It's incredibly sad to developers. It's usually a major pain the butt to support old versions of the OS when you need to add new features to your software. I've managed to be a developer in the print and music industry since 1995, two areas where the users hate change and often work for companies that can't afford to buy new equipment (especially the print companies). So while trying to add support for the latest OS features that some people request (or just trying to stay current with the compiler and programming state of the art), you have this huge percentage of clientele who drag you down and cause severe support and dev headaches.


As tut said it is a pain in the butt. I wish we could keep supporting older versions of Mac OS X but we don't have enough time or resources to do so. I hate the fact that perfectly usable computers are not able to run the latest Mac OS X version. I have a PowerMac G4 and G5 which are very capable machines but can't run the latest mac software. In fact, I put FreeBSD 10 (need to upgrade to 11) on my PowerMac G5 just so it can run newer software (it even supports ZFS!).

We do keep a "legacy" branch of Vienna which is 3.0.9 (so supports Mac OS X 10.6) and it is ready to receive any easy bugfixes. It probably also wouldn't be too much work to take it back to Mac OS X 10.5 and PowerPC but unfortunately I don't have the time for that. It would be a great project though :)

Re: Poll: What version of Mac OS X do you use?

Posted: Sun Dec 18, 2016 6:01 pm
by TheHammer610
I would have stayed with Mac OS 10.6.8 except for two things:

1) Several new programs that I need, such as TurboTax will not run on it.

2) And since Apple no longer supports it, Apple does not roll out the security updates that are important to keep my stuff private. I am behind a firewall, so I should not get my desktop hacked, but it is a chance I am no longer willing to take.

I also found that FireFox has rolled out several updates that now makes it bloat into 2 or more GB of RAM on 10.6.8. The other browsers are no longer being updated for 10.6.8, so that was another potential security issue.

That said, I despise Photos and wish I could get iPhoto back.

Re: Poll: What version of Mac OS X do you use?

Posted: Tue Dec 20, 2016 12:20 pm
by DavidT
10.12.2
10.11.6

Re: Poll: What version of Mac OS X do you use?

Posted: Tue Dec 27, 2016 7:21 pm
by smurf
josh64x2 wrote:So far I'm definitely going to stop supporting 10.8 unfortunately, but 10.9 is safe for now.


I didn't know 10.9 was currently supported. 3.1.0 never worked for me (10.9.5) so I'm still using 3.0.9, which is fine.

I really don't *expect* 10.9 to be supported (I get that it's old), but if you intend the current version to work with it, should I submit a bug report somehow?

Re: Poll: What version of Mac OS X do you use?

Posted: Tue Dec 27, 2016 8:39 pm
by josh64x2
smurf wrote:I didn't know 10.9 was currently supported. 3.1.0 never worked for me (10.9.5) so I'm still using 3.0.9, which is fine.

I really don't *expect* 10.9 to be supported (I get that it's old), but if you intend the current version to work with it, should I submit a bug report somehow?


Have you tried the latest 3.1.8? If that doesn't work please create a new issues at https://github.com/ViennaRSS/vienna-rss/issues and we can start to look into it.